commit: 9499297a9acc05e6a3375a44ca052fb457598dab
Author: Louis Sautier <sbraz <AT> gentoo <DOT> org>
AuthorDate: Tue Sep 4 22:07:05 2018 +0000
Commit: Louis Sautier <sbraz <AT> gentoo <DOT> org>
CommitDate: Wed Sep 5 13:30:10 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9499297a
dev-python/secretstorage: bump to 3.1.0, drop Py2, add Py3.7, doc
Upstream no longer supports Python 2 and dev-python/jeepney requires at
least Python 3.5.
Package-Manager: Portage-2.3.48, Repoman-2.3.10
dev-python/secretstorage/Manifest | 1 +
.../secretstorage/secretstorage-3.1.0.ebuild | 47 ++++++++++++++++++++++
2 files changed, 48 insertions(+)
diff --git a/dev-python/secretstorage/Manifest
b/dev-python/secretstorage/Manifest
index c9b5e5e896b..dc1d6847277 100644
--- a/dev-python/secretstorage/Manifest
+++ b/dev-python/secretstorage/Manifest
@@ -1 +1,2 @@
DIST SecretStorage-2.3.1.tar.gz 16073 BLAKE2B
e4769e748ee39596c51012a6ac626dba2b019238a8237678c47d713c2af4b0e88b50d0068b5dbf3a405b9f7b14a7df64aabf751009dd21ab25de65ead2a79c38
SHA512
69a2c86a1abd904b7d71bbb59cead3b2588cf88d7f35cbaf64d18ff9aa9ed62ba9f79d0bebd10136aa8a0edb1ff8a1d1aff70cf8e519dc74303993ef0d564047
+DIST SecretStorage-3.1.0.tar.gz 17767 BLAKE2B
e234a7f34b5ca2debfd04d4f3b4b4e2a1625aa346133e464bbc1f094381445e3d0c5460457c687f55f6682c6b6085a757edb23a6029fe5c2abf139278203f326
SHA512
a044009480b359aecb0c8782f04e4d02c3c1c0e682f72733896c98f386562c43766318963452d60028d0a92d02903130278cf26a5c206f5f0909e106bdb2d133
diff --git a/dev-python/secretstorage/secretstorage-3.1.0.ebuild
b/dev-python/secretstorage/secretstorage-3.1.0.ebuild
new file mode 100644
index 00000000000..7ab36cf655c
--- /dev/null
+++ b/dev-python/secretstorage/secretstorage-3.1.0.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6,7} )
+
+inherit distutils-r1
+
+MY_PN="SecretStorage"
+
+DESCRIPTION="Python bindings to FreeDesktop.org Secret Service API."
+HOMEPAGE="https://github.com/mitya57/secretstorage
https://pypi.org/project/SecretStorage/"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_PN}-${PV}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="doc test"
+
+RDEPEND="
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ dev-python/dbus-python[${PYTHON_USEDEP}]
+ dev-python/jeepney[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ doc? (
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ dev-python/alabaster[${PYTHON_USEDEP}]
+ )
+ test? ( ${RDEPEND} )
+"
+
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+python_compile_all() {
+ if use doc; then
+ sphinx-build docs docs/_build/html || die
+ HTML_DOCS=( docs/_build/html/. )
+ fi
+}
+
+python_test() {
+ dbus-run-session "${EPYTHON}" -m unittest discover -v -s tests \
+ || die "tests failed with ${EPYTHON}"
+}